org.springframework.web.socket.messaging

## Class SessionDisconnectEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.web.socket.messaging.SessionDisconnectEvent

- All Implemented Interfaces:
    Serializable

      public class SessionDisconnectEvent
      extends ApplicationEvent

  Event raised when the session of a WebSocket client using a Simple Messaging Protocol (e.g. STOMP) as the WebSocket sub-protocol is closed.

  Note that this event may be raised more than once for a single session and therefore event consumers should be idempotent and ignore a duplicate event..

  Since:
    4.0.3
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionDisconnectEvent(Object source, String sessionId, CloseStatus closeStatus)` Create a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseStatus` | `getCloseStatus()` Return the status with which the session was closed.
    `String` | `getSessionId()` Return the session id.
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.context.ApplicationEvent

      `getTimestamp`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionDisconnectEvent

          public SessionDisconnectEvent(Object source,
                                        String sessionId,
                                        CloseStatus closeStatus)

      Create a new event.
      Parameters:
        `source` - the component that published the event (never `null`)
        `sessionId` - the disconnect message
        `closeStatus` -

  - ### Method Detail

    - #### getSessionId

          public String getSessionId()

      Return the session id.

    - #### getCloseStatus

          public CloseStatus getCloseStatus()

      Return the status with which the session was closed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`